Skip to main content
GET
Search Spaces

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Scopes

space.read

View all Spaces you have access to.

tweet.read

View all Posts you can see, including those from protected accounts.

users.read

View any account you can see, including protected accounts.

Query Parameters

query
string
required

The search query.

Required string length: 1 - 2048
Example:

"crypto"

state
enum<string>
default:all

The state of Spaces to search for.

Available options:
live,
scheduled,
all
max_results
integer<int32>
default:100

The number of results to return.

Required range: 1 <= x <= 100
space.fields
enum<string>[]

A comma separated list of Space fields to display. The fields available for a Space object.

Minimum array length: 1
Available options:
created_at,
creator_id,
ended_at,
host_ids,
id,
invited_user_ids,
is_ticketed,
lang,
participant_count,
scheduled_start,
speaker_ids,
started_at,
state,
subscriber_count,
title,
topic_ids,
updated_at
Example:
expansions
enum<string>[]

A comma separated list of fields to expand. The list of fields you can expand for a Space object. If the field has an ID, it can be expanded into a full object.

Minimum array length: 1
Available options:
creator_id,
host_ids,
invited_user_ids,
speaker_ids,
topic_ids
Example:
user.fields
enum<string>[]

A comma separated list of User fields to display. The fields available for a User object.

Minimum array length: 1
Available options:
affiliation,
confirmed_email,
connection_status,
created_at,
description,
entities,
id,
is_identity_verified,
location,
most_recent_tweet_id,
name,
parody,
pinned_tweet_id,
profile_banner_url,
profile_image_url,
protected,
public_metrics,
receives_your_dm,
subscription,
subscription_type,
url,
username,
verified,
verified_followers_count,
verified_type,
withheld
Example:
topic.fields
enum<string>[]

A comma separated list of Topic fields to display. The fields available for a Topic object.

Minimum array length: 1
Available options:
description,
id,
name
Example:

Response

The request has succeeded.

data
object[]
Minimum array length: 1
errors
object[]
Minimum array length: 1

An HTTP Problem Details object, as defined in IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).

includes
object
meta
object